Bug 132374 - NullPointerException at org.netbeans.modules.javascript.editing.AstUtilities.getCallName
NullPointerException at org.netbeans.modules.javascript.editing.AstUtilities....
Status: RESOLVED FIXED
Product: javascript
Classification: Unclassified
Component: Editor
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Torbjorn Norbye
issues@javascript
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-08 23:15 UTC by Martin Schovanek
Modified: 2009-02-27 14:26 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.49 KB, text/plain)
2008-04-08 23:15 UTC, Martin Schovanek
Details
release61 version of the javascript-editing jar containing the fix (393.26 KB, application/x-compressed)
2008-04-09 00:32 UTC, Torbjorn Norbye
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schovanek 2008-04-08 23:15:09 UTC
Build: NetBeans IDE Dev (Build 080408)
VM: Java HotSpot(TM) Client VM, 1.5.0_13-119, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_13-b05-237
OS: Mac OS X, 10.5.2, i386

User Comments: 
[scripting/javascript]

to reproduce:
-----------
1) open the ext-all-debug.js
ERROR: IDE throws the ex
Comment 1 Martin Schovanek 2008-04-08 23:15:19 UTC
Created attachment 59876 [details]
stacktrace
Comment 2 Torbjorn Norbye 2008-04-09 00:31:26 UTC
This was fixed in the trunk a couple of days ago with this changeset: 
http://hg.netbeans.org/main/rev/d6fefe39c9c4

This is triggered by a certain code construct which the type analysis code didn't anticipate. I now have a unit test for
this specific scenario: AstUtilities.testArrays

I'll attach a release61 port of the fix (the patch is identical to what is shown in teh above changeset) in case you
want to test for possible inclusion with the next spin. I consider the fix risk free.

On the other hand, I haven't seen a lot of JavaScript code using the above construct. I'm going to run through library
scanning again to double check for this.
Comment 3 Torbjorn Norbye 2008-04-09 00:32:11 UTC
Created attachment 59877 [details]
release61 version of the javascript-editing jar containing the fix
Comment 4 Martin Schovanek 2008-04-09 10:56:38 UTC
Tor can you integrate it in the release61 branch please.
Comment 5 Petr Blaha 2008-04-09 12:20:36 UTC
Tor, please integrate the fix in release61 branch till 10:00 PM CEST when we will start RC1 candidate build.
Comment 6 Torbjorn Norbye 2008-04-09 14:56:13 UTC
Fixed in 6.1 with changeset 8ddc05e5ad71.
Comment 7 Martin Schovanek 2008-04-09 22:35:54 UTC
Verified in release61.
Comment 8 Marian Mirilovic 2008-08-01 11:23:40 UTC
move back to consistent state RESOLVED/FIXED


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo